"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisify = void 0;
function promisify(f, context) {
    return (...args) => {
        return new Promise((resolve, reject) => {
            args.push((err, result) => err !== null
                ? reject(err)
                : resolve(result));
            f.apply(context, args);
        });
    };
}
exports.promisify = promisify;
